"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkQuerySortParam = void 0;
const tslib_1 = require("tslib");
const __1 = require("..");
function checkQuerySortParam(queryParams, entityMetadata) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const errors = [];
        (Object.entries(queryParams["sort" /* sort */] || {})).forEach(([name, value]) => {
            errors.push(...__1.checkEntityFieldMetadata(name, queryParams, entityMetadata, "sort" /* sort */));
        });
        return errors;
    });
}
exports.checkQuerySortParam = checkQuerySortParam;
//# sourceMappingURL=check-query-sort-param.js.map