"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkRelationBodyStructure = void 0;
const tslib_1 = require("tslib");
function checkRelationBodyStructure(value, isNullable = false) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (value === undefined) {
            return [{
                    source: { pointer: '' },
                    detail: "Body must have a 'data' definition",
                }];
        }
        if (!isNullable && (value === null)) {
            return [{
                    source: { pointer: '' },
                    detail: "Body 'data' must not be empty",
                }];
        }
        return [];
    });
}
exports.checkRelationBodyStructure = checkRelationBodyStructure;
//# sourceMappingURL=check-relation-body-structure.js.map