import { DynamicModule, OnModuleInit } from '@nestjs/common';
import { HttpAdapterHost } from '@nestjs/core';
import { Connection } from 'typeorm';
import { ModuleOptions } from './types';
export declare class JsonApiModule implements OnModuleInit {
    protected connection: Connection;
    protected adapterHost: HttpAdapterHost;
    constructor(connection: Connection, adapterHost: HttpAdapterHost);
    onModuleInit(): void;
    static forRoot(options: ModuleOptions): DynamicModule;
}
